Bug 1185508 - gr-uhd (part of gnuradio) built against too old version of uhd
Summary: gr-uhd (part of gnuradio) built against too old version of uhd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnuradio
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-24 00:11 UTC by Felix Kaiser
Modified: 2015-02-04 07:58 UTC (History)
3 users (show)

Fixed In Version: gnuradio-3.7.5.1-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-04 07:58:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Felix Kaiser 2015-01-24 00:11:58 UTC
Description of problem:

gnuradio is built against an older, incompatible, version of libuhd than F21 currently ships. gnuradio should be rebuilt.

gqrx output:

    FATAL: 
    GR-UHD detected ABI compatibility mismatch with UHD library.
    GR-UHD was build against ABI: 3.6.0-1,
    but UHD library reports ABI: 3.7.1-0
    Suggestion: install an ABI compatible version of UHD,
    or rebuild GR-UHD component against this ABI version.

Version-Release number of selected component (if applicable):
gnuradio 3.7.5.1-1.fc21, uhd 3.7.2-1.fc21, gr-osmosdr 0.1.3

How reproducible:

Run gqrx with an Ettus B200 connected.

Comment 1 Felix Kaiser 2015-01-24 01:07:30 UTC
Note: Works when I use gnuradio from rawhide.

Comment 2 Jaroslav Škarvada 2015-01-26 11:02:19 UTC
Thanks for the report, reproduced.

Reproducer:
$ uhd_fft
linux; GNU C++ version 4.9.1 20140813 (Red Hat 4.9.1-7); Boost_105500; UHD_003.007.002-0-unknown


GR-UHD detected ABI compatibility mismatch with UHD library.
GR-UHD was build against ABI: 3.6.0-1,
but UHD library reports ABI: 3.7.1-0
Suggestion: install an ABI compatible version of UHD,
or rebuild GR-UHD component against this ABI version.

Comment 3 Fedora Update System 2015-01-26 15:04:23 UTC
gnuradio-3.7.5.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gnuradio-3.7.5.1-2.fc21

Comment 4 Fedora Update System 2015-01-27 03:03:59 UTC
Package gnuradio-3.7.5.1-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnuradio-3.7.5.1-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1237/gnuradio-3.7.5.1-2.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-02-04 07:58:07 UTC
gnuradio-3.7.5.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.